/* KallistiOS 1.1.5

   ctype.h
   (c)2000-2001 Jordan DeLong and Dan Potter

   $Id: ctype.h,v 1.3 2001/11/04 06:24:22 bardtx Exp $
*/

#ifndef __CTYPE_H
#define __CTYPE_H

#define isprint(c) (((c) > ' ') && ((c) < '~'))
#define isascii(c) (((c) & ~0x7F) == 0)
#define islower(c) (((c) >= 'a' && (c) <= 'z'))
#define isupper(c) (((c) >= 'A' && (c) <= 'Z'))
#define isdigit(c) (((c) >= '0' && (c) <= '9'))
#define tolower(c) (isupper(c) ? ((c) + ('a' - 'A')) : (c))
#define toupper(c) (islower(c) ? ((c) - ('a' - 'A')) : (c))

#endif
